package p08_funkcje;

public class GeometriaTesty {
    // W tej klasie, w main, są testowe wywołania metod zdefiniowanych w klasie Geometria.
    // Jeśli klasa znajduje się w tym samym pakiecie, to nie trzeba jej importować; po prostu używamy.
    // Metodę statyczną wywołuje się pisząc Klasa.metoda

    public static void main(String[] args) {
        System.out.println(Geometria.poleKwadratu(5));
        System.out.println(Geometria.obwodKwadratu(5));
        System.out.println(Geometria.poleProstokata(3, 4));
        System.out.println(Geometria.obwodProstokata(3, 4));
        System.out.println();
        // inne podejście:
        double[] testoweLiczby = {0, 1, 2, 5, 7.5, 12};
        for (var bok : testoweLiczby) {
            var pole = Geometria.poleKwadratu(bok);
            var obwod = Geometria.obwodKwadratu(bok);
            System.out.printf("Kwadrat o boku %.3f ma pole %.3f i obwód %.3f\n", bok, pole, obwod);
        }
    }

}
